### Method

# Atk RelationSet get_relation_by_type

#### Declaration [src]

    AtkRelation*
    atk_relation_set_get_relation_by_type (
      AtkRelationSet* set,
      AtkRelationType relationship
    )

#### Description [src]

Finds a relation that matches the specified type.

#### Parameters

`relationship`

  Type: `AtkRelationType`

  An `AtkRelationType`.

#### Return value

Type: `AtkRelation`

An `AtkRelation`, which is a relation matching the specified type.

The returned data is owned by the instance.